#include <amxmodx>
#include <fakemeta>

#define MIN_NAME_LENGTH 3

new const g_reason[] = "Sorry, nickname less than 3 symbols length isn't allowed on this server"

public plugin_init() {
	register_plugin("No Short Names", "0.1", "VEN")
	register_forward(FM_ClientConnect, "fwClientConnect", 1)
}

public fwClientConnect(id, const name[]) {
	if (strlen(name) < MIN_NAME_LENGTH) {
		client_kick(id, g_reason)
		return FMRES_SUPERCEDE
	}

	return FMRES_IGNORED
}

stock client_kick(id, const reason[] = "") {
	server_cmd("kick #%d ^"%s^"", get_user_userid(id), reason)
	server_exec()
}
